Public Class RecursiveSearch
    Public Shared Function run(ByVal in_src As String, ByVal in_dest As String) As Boolean



        If Not System.IO.Directory.Exists(in_src) Then
            Debug.Write(in_src & " is not found. Abort")
            Exit Function
        End If

        If Not System.IO.Directory.Exists(in_dest) Then
            Debug.Write(in_dest & " is not found. Abort")
            Exit Function
        End If

        Dim list As String() = System.IO.Directory.GetDirectories(in_src, "*", IO.SearchOption.AllDirectories)

        For Each s As String In list
            Debug.WriteLine(s)
            Dim new_d As String = UCase(s).Replace(UCase(in_src), UCase(in_dest))
            If Not System.IO.Directory.Exists(new_d) Then
                System.IO.Directory.CreateDirectory(new_d)
            End If
        Next

        Return True

    End Function
End Class
